Subject: bug#43004: 28.0.50; Test failures due to symlinked Emacs sources

From: Stephen Berman <[email-masked]>
Date: Fri, 16 Oct 2020 16:48:38 +0200

On Fri, 16 Oct 2020 16:37:46 +0200 Lars Ingebrigtsen <[email-masked]> wrote:

>> I looked at them again and, by trial and error, came up with the
>> attached patch, with which I now get no unexpected failures when running
>> the tests in batch mode, though when run interactively
>> xref-elisp-test-find-defs-defgeneric-implicit-generic still fails.  But
>> in any case I wouldn't blindly install this patch; someone who knows the
>> xref code really needs to look at what's going on here.
>
> Dmitry, could you have a look at this patch to the xref tests?

Yes, please.  I also just realized that I had run the patched batch mode
tests from my home directory, i.e., following the symlink.  When I run
them from the source directory without following the symlink, I get the
same five failures again (i.e., with the patch) that I had gotten before
without the patch.  So much for that attempt.

Steve Berman